Unable to Install CA Embedded Entitlements Manager (EEM) due to 'wrong ELF class: ELFCLASS64' Error

Document ID:  TEC1030508
Last Modified Date:  08/11/2017
{{active ? 'Hide' : 'Show'}} Technical Document Details

Products

  • CA Workload Automation AE
  • CA Embedded Entitlements Manager

Releases

  • CA Workload Automation AE:Release:11.3.5
  • CA Workload Automation AE:Release:11.3.6
  • CA Embedded Entitlements Manager:Release:12.51

Components

  • AUTOSYS RELEATED EEM:ATSEEM
  • CA Embedded Entitlements Manager:ETEIAM
  • CA Workload Automation AE (AutoSys):ATSYS
Issue:

We are getting the following error message while trying to install EEM:

 

? /opt/CA/SharedComponents/tmp/CASockAdapterSetupLinux.bin: error while loading shared libraries: ? 

? libstdc++.so.6: wrong ELF class: ELFCLASS64 

 

Environment:
CA Embedded Entitlements Manager r12.51+
Cause:

The installation is failing because the CASockAdapterSetupLinux.bin found the 64-bit version of the libstdc++.so.6 library.

Resolution:

Install the 32-bit version of the libstdc++ library before installing EEM. 

Please help us improve!

Will this information enable you to resolve your issue?

Please tell us what we can do better.

{{feedbackText.length ? feedbackText.length : '0'}}/255

{{status}}

Not what you were looking for?

Search Again >

Product Information

Support by Product >

Communities

Join a Community >